<?php
/**
* Layout Functions
*
* @package BoldWP WordPress Theme
* @copyright Copyright (C) 2025 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function boldwp_post_style() {
    $post_style = 'style-5';
    if ( boldwp_get_option('post_style') ) {
        $post_style = boldwp_get_option('post_style');
    }
    return apply_filters( 'boldwp_post_style', $post_style );
}

function boldwp_hide_footer_widgets() {
    $hide_footer_widgets = false;
    if ( boldwp_get_option('hide_footer_widgets') ) {
        $hide_footer_widgets = true;
    }
    return apply_filters( 'boldwp_hide_footer_widgets', $hide_footer_widgets );
}

function boldwp_is_fitvids_active() {
    $fitvids_active = true;

    if ( boldwp_get_option('disable_fitvids') ) {
        $fitvids_active = false;
    }

    return apply_filters( 'boldwp_is_fitvids_active', $fitvids_active );
}